'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.denormalize = exports.normalize = undefined;

var _big = require('big.js');

var _big2 = _interopRequireDefault(_big);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var fraction = function fraction(currencyFractionals) {
  if (currencyFractionals === 0) {
    return 1;
  }
  return Math.pow(10, currencyFractionals);
};

var normalize = exports.normalize = function normalize(currencyFractionals, value) {
  return (0, _big2.default)(value).times(fraction(currencyFractionals));
};

var denormalize = exports.denormalize = function denormalize(currencyFractionals, value) {
  return value.div(fraction(currencyFractionals)).toFixed(currencyFractionals);
};